@import url('./style.css');

.main {
   padding: 130px 0 0;
   position: relative;
   border-bottom: 1px solid rgba(255, 255, 255, 0.1);
}

.main-bg-img {
   position: absolute;
   bottom: 0;
   left: calc(50% - (1937px / 2));
   z-index: -1;
}

.main__inner {
   text-align: center;
   display: flex;
   align-items: center;
   flex-direction: column;
}

.main__title {
   max-width: 748px;
}

.title {
   margin-bottom: 16px;
}

.main__desc {}

.desc {}

.main__btn {
   margin: 20px 0 100px 0;
}

.btn {}

.btn-icon {}

.main__card {
   background: rgba(241, 237, 227, 0.8);
   : blur(100px);
   border-radius: 32px 32px 0px 0px;
   text-align: start;
   padding: 60px 50px 140px;
   color: #000000;
   position: relative;
}

.main-card__img {
   position: absolute;
   width: 952px;
   height: 286px;
   background: url('../img/whatWeDo-img.jpg');
   background-position: 50% 50%;
   background-repeat: no-repeat;
   background-size: cover;
   bottom: -183px;
   left: calc(50% - (952px / 2));
}

.main-card__title {
   margin-bottom: 30px;
   display: flex;
   gap: 12px;
}

.main-card__icon {
   width: 36px;
}

.main-card__text {
   display: flex;
   justify-content: space-between;
   gap: 63px;
}

.main-card__desc {
   max-width: 326px;
}

/* Slide in */
.link {
   overflow: hidden;
   position: relative;
   width: fit-content;
   padding: 0 0 5px;
   color: #E19937;
   cursor: pointer;
}

.open {
   height: fit-content !important;
}

.card__open {
   height: fit-content !important;
}

.card-5-blur {
   filter: blur(450px) !important;
}

.card5-text-open {
   max-width: 1100px !important;
}

.link:hover {
   color: #E19937;
}

.link::after {
   content: '';
   position: absolute;
   bottom: 0;
   left: 0;
   width: 100%;
   height: 0.12em;
   background: #E19937;
   opacity: 0;
   transition: opacity 700ms, transform 700ms;
   opacity: 1;
   transform: translate3d(-100%, 0, 0);
}

.link:hover::after,
.link:focus::after {
   transform: translate3d(0, 0, 0);
}

/* ------------------------------------------------------------------------------- */

.whatWeDo {
   padding: 285px 0 54px;
}

.whatWeDo__inner {
   text-align: center;
}

.whatWeDo__title {
   margin-bottom: 16px;
}

.whatWeDo__desc {
   max-width: 598px;
   margin: 0 auto;
   margin-bottom: 16px;
}

.whatWeDo__text {
   margin-bottom: 48px;
}



.whatWeDo__cards {
   text-align: start;
   color: #000000;

}

.whatWeDo-card__wrap {
   display: flex;
   gap: 40px;
   margin-bottom: 40px;
}

.whatWeDo__card {
   background: #EDD9BA;
   background-position: 50% 50%;
   background-repeat: no-repeat;
   background-size: cover;
   : blur(100px);
   border-radius: 24px;
   padding: 60px 50px 80px;
   width: 580px;
   height: 390px;
   position: relative;
   overflow: hidden;
}

.card-1 {}

.card-2 {}

.card-3 {
   padding-bottom: 46px;
}

.card-4 {}

.card-5 {
   width: 100%;
   padding-bottom: 50px;
   height: 307px;
}

.card-5 .whatWeDo-card__desc {
   max-width: 326px;
}

.card-5 .whatWeDo-card__text {
   max-width: 712px;
   display: flex;
   flex-wrap: wrap;
   gap: 0 40px;
   height: 100px;
}

.whatWeDo-card__text {
   max-width: 385px;
   overflow: hidden;
   height: 156px;
   margin-bottom: 16px;
}

.whatWeDo-card__title {
   margin-bottom: 16px;
   max-width: 385px;
}

.whatWeDo-card__desc {
   margin-bottom: 16px;
}

.whatWeDo-card__img {
   position: absolute;
   top: 24px;
   right: 12px;
}

.card-5 .whatWeDo-card__img {
   top: auto;
   bottom: 43px;
   right: 12px;
}

.card-5 .whatWeDo-card__bg-img {
   filter: blur(350px);
}

/* ------------------------------------------------------------------------------- */

@media (max-width: 1250px) {
   .main-card__img {
      width: 750px;
      border-radius: 25px;
      bottom: -183px;
      left: calc(50% - (750px / 2));
   }
}

@media (max-width: 1150px) {
   .whatWeDo__card {
      padding: 42px 50px 42px 32px;
   }

   .whatWeDo-card__title {
      margin-bottom: 45px;
   }

   .whatWeDo-card__img {
      position: absolute;
      top: 12px;
      right: 6px;
      width: 80px;
   }

   .card-5 .whatWeDo-card__img {
      width: 122px;
      top: auto;
      bottom: 18px;
      right: 6px;
   }
}

@media (max-width: 1024px) {
   .main-card__text {
      flex-wrap: wrap;
      gap: 32px;
   }

   .main-card__desc {
      max-width: 242px;
   }

   .main-card__img {
      width: 570px;
      border-radius: 25px;
      bottom: -183px;
      left: calc(50% - (570px / 2));
   }

   .card-3 {
      height: fit-content;
   }
}

@media (max-width: 768px) {
   .main {
      padding: 35px 0 0;
   }

   .whatWeDo {
      padding: 234px 0 24px;
   }



   .link {
      text-transform: lowercase;
   }

   .main__btn {
      margin: 32px 0 80px 0;
      width: 100%;
      justify-content: center;
   }

   .main__card {
      display: flex;
      flex-direction: column;
      text-align: center;
      align-items: center;
      padding: 40px 22px 50px;
   }

   .main-card__title {
      gap: 14px;
      margin-bottom: 16px;
   }

   .main-card__text {
      gap: 16px;
   }

   .main-card__desc {
      margin: 0 auto;
      max-width: 400px;
   }

   .main-card__img {
      width: 460px;
      height: 200px;
      border-radius: 25px;
      bottom: -163px;
      left: calc(50% - (460px / 2));
   }

   .whatWeDo__cards {}

   .whatWeDo-card__wrap {
      gap: 20px;
      margin-bottom: 20px;
   }

   .whatWeDo__card {
      text-align: center;
      padding: 30px 20px;
      width: 100%;
      height: fit-content;
   }

   .whatWeDo-card__wrap {
      flex-wrap: wrap;
   }

   .whatWeDo-card__title {
      max-width: 100%;
      margin: 0 auto 150px;
   }

   .whatWeDo-card__text {
      max-width: 100%;
      margin: 0 auto 20px;
      height: 208px;
   }

   .whatWeDo-card__text .subdesc {
      font-weight: 500;
      font-size: 18px;
      line-height: 26px;
   }

   .card-4 .whatWeDo-card__text {
      height: 180px;
   }

   .link {
      margin: 0 auto;
   }

   .whatWeDo-card__img {
      width: 122px;
      top: 74px;
      right: calc(50% - (122px / 2));
   }

   .card-2 .whatWeDo-card__text {
      height: 234px;
   }

   .card-3 .whatWeDo-card__text {
      height: 234px;
   }

   .card-2 .whatWeDo-card__img {
      top: 84px;
   }

   .card-3 .whatWeDo-card__img {
      top: 108px;
   }

   .card-5 .whatWeDo-card__img {
      top: 74px;
      right: calc(50% - (122px / 2));
   }

   .card-5 .whatWeDo-card__text {
      gap: 16px;
      height: 234px;
   }

   .card-5 .whatWeDo-card__desc {
      margin: 0 auto;
      max-width: 100%;
   }

   .whatWeDo-card__bg-img {
      position: absolute;
      z-index: -1;
      top: calc(50% - (100% / 2));
      left: calc(50% - (90% / 2));
      width: 90%;
      height: 100%;
      filter: blur(300px);
   }
}

@media (max-width: 550px) {
   .main-card__img {
      width: 95%;
      height: 200px;
      border-radius: 25px;
      bottom: -163px;
      left: auto;
   }
}

@media (max-width: 425px) {}